Subject: Re: bug#47763: [PATCH] doc: Document translation process.
From: Julien Lepiller <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Sun, 25 Apr 2021 16:04:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Fri, 16 Apr 2021 23:08:41 +0200,
Ludovic Courtès <[email-masked]> a écrit :

> Hi Julien,
> 
> Julien Lepiller <[email-masked]> skribis:
> 
> > The attached patch adds a new section to the manual (and therefore
> > should wait for the next release since we are in string freeze) that
> > documents the translation process for contributors.
> >
> > From ce110d021935467753e0086c6992c45bf9a48388 Mon Sep 17 00:00:00
> > 2001 From: Julien Lepiller <[email-masked]>
> > Date: Wed, 14 Apr 2021 00:16:01 +0200
> > Subject: [PATCH] doc: Document translation process.
> >
> > doc/contributing.texi (Translating Guix): New section.
> > doc/guix.texi (Top): Add a reference to the new section.  
> 
> Excellent!
> 
> I have little to say, just some cosmetic comments:
> 
> > +@item Guix blog posts cannot currently be translated.  
> 
> Since it’s Markdown, would po4a work for them?

Indeed, it should be pretty easy, but the question is how to integrate
that process with weblate and the website (how to link an article to
its translations automatically, etc).

> 
> > +@item Some of the libraries Guix cannot be translated or are
> > translated outside
> > +      of the Guix project.  Guile itself does not provide a
> > translation
> > +      mechanism.  
> 
> A word is missing from the first sentence.  You mean that Guile itself
> and some of the libraries Guix relies on are not internationalized,
> right?

I changed the sentence to say that, thanks :)

> 
> Thanks for taking the time to document all this!
> 
> Ludo’.

I pushed a slightly extended version after I fixed your remarks as
1897a6efa77e341a091e40140d02b525eabb3fdf. Thank you!